Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVolumeTextureMapper2D Class Reference

`#include <vtkVolumeTextureMapper2D.h>`

Inheritance diagram for vtkVolumeTextureMapper2D:

[legend]
Collaboration diagram for vtkVolumeTextureMapper2D:

[legend]
List of all members.

## Detailed Description

Abstract class for a volume mapper.

Date:
  2002/08/22 18:39:32

Revision:
  1.20

vtkVolumeTextureMapper2D renders a volume using 2D texture mapping.

See also:
  vtkVolumeMapper

Created by:
  - Avila, Lisa

CVS contributions (if > 5%):
  - Avila, Lisa (93%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkVolumeTextureMapper2D.h)`
  - .`cxx` (`/Rendering/vtkVolumeTextureMapper2D.cxx)`

Examples:
  vtkVolumeTextureMapper2D (Examples)

Tests:
  vtkVolumeTextureMapper2D (Tests)

Definition at line 50 of file vtkVolumeTextureMapper2D.h.

## Public Types
typedef vtkVolumeTextureMapper | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Render (vtkRenderer *, vtkVolume *)
virtual void | RenderQuads (int vtkNotUsed(count), float *vtkNotUsed(v), float *vtkNotUsed(t), unsigned char *vtkNotUsed(texture), int vtkNotUsed(size)[2], int vtkNotUsed(reverseFlag))
int | GetInternalSkipFactor ()
int * | GetAxisTextureSize ()
int | GetSaveTextures ()
unsigned char * | GetTexture ()
virtual void | SetTargetTextureSize (int, int)
void | SetTargetTextureSize (int[2])
virtual int * | GetTargetTextureSize ()
virtual void | GetTargetTextureSize (int &, int &)
virtual void | GetTargetTextureSize (int[2])
virtual void | SetMaximumNumberOfPlanes (int)
virtual int | GetMaximumNumberOfPlanes ()
virtual void | SetMaximumStorageSize (int)
virtual int | GetMaximumStorageSize ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkVolumeTextureMapper2D * | SafeDownCast (vtkObject *o)
vtkVolumeTextureMapper2D * | New ()
## Protected Methods
| vtkVolumeTextureMapper2D ()
| ~vtkVolumeTextureMapper2D ()
void | InitializeRender (vtkRenderer *ren, vtkVolume *vol)
void | InitializeRender (vtkRenderer *ren, vtkVolume *vol, int majorDirection)
void | GenerateTexturesAndRenderQuads (vtkRenderer *ren, vtkVolume *vol)
void | ComputeAxisTextureSize (int axis, int *size)
void | RenderSavedTexture ()
## Protected Attributes
int | MajorDirection
int | TargetTextureSize [2]
int | MaximumNumberOfPlanes
int | InternalSkipFactor
int | MaximumStorageSize
unsigned char * | Texture
int | TextureSize
int | SaveTextures
vtkTimeStamp | TextureMTime
int | AxisTextureSize [3][3]

## Member Typedef Documentation

typedef vtkVolumeTextureMapper vtkVolumeTextureMapper2D::Superclass

| Reimplemented from vtkVolumeTextureMapper. Reimplemented in vtkMesaVolumeTextureMapper2D, and vtkOpenGLVolumeTextureMapper2D. Definition at line 53 of file vtkVolumeTextureMapper2D.h.

## Constructor & Destructor Documentation

vtkVolumeTextureMapper2D::vtkVolumeTextureMapper2D | ( |  | ) | `[protected]`

vtkVolumeTextureMapper2D::~vtkVolumeTextureMapper2D | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkVolumeTextureMapper2D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkVolumeTextureMapper. Reimplemented in vtkMesaVolumeTextureMapper2D, and vtkOpenGLVolumeTextureMapper2D.

int vtkVolumeTextureMapper2D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeTextureMapper. Reimplemented in vtkMesaVolumeTextureMapper2D, and vtkOpenGLVolumeTextureMapper2D.

virtual int vtkVolumeTextureMapper2D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeTextureMapper. Reimplemented in vtkMesaVolumeTextureMapper2D, and vtkOpenGLVolumeTextureMapper2D.

vtkVolumeTextureMapper2D* vtkVolumeTextureMapper2D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkVolumeTextureMapper. Reimplemented in vtkMesaVolumeTextureMapper2D, and vtkOpenGLVolumeTextureMapper2D.

void vtkVolumeTextureMapper2D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkVolumeTextureMapper. Reimplemented in vtkMesaVolumeTextureMapper2D, and vtkOpenGLVolumeTextureMapper2D.

vtkVolumeTextureMapper2D* vtkVolumeTextureMapper2D::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject. Reimplemented in vtkMesaVolumeTextureMapper2D, and vtkOpenGLVolumeTextureMapper2D.

virtual void vtkVolumeTextureMapper2D::SetTargetTextureSize | ( | int | ,
|  | int |
| ) | `[virtual]`

| Target size in pixels of each size of the texture for downloading. Default is 512x512 - so a 512x512 texture will be tiled with as many slices of the volume as possible, then all the quads will be rendered. This can be set to optimize for a particular architecture. This must be set with numbers that are a power of two.

void vtkVolumeTextureMapper2D::SetTargetTextureSize | ( | int | [2] | ) |

| Target size in pixels of each size of the texture for downloading. Default is 512x512 - so a 512x512 texture will be tiled with as many slices of the volume as possible, then all the quads will be rendered. This can be set to optimize for a particular architecture. This must be set with numbers that are a power of two.

virtual int* vtkVolumeTextureMapper2D::GetTargetTextureSize | ( |  | ) | `[virtual]`

| Target size in pixels of each size of the texture for downloading. Default is 512x512 - so a 512x512 texture will be tiled with as many slices of the volume as possible, then all the quads will be rendered. This can be set to optimize for a particular architecture. This must be set with numbers that are a power of two.

virtual void vtkVolumeTextureMapper2D::GetTargetTextureSize | ( | int & | ,
|  | int & |
| ) | `[virtual]`

| Target size in pixels of each size of the texture for downloading. Default is 512x512 - so a 512x512 texture will be tiled with as many slices of the volume as possible, then all the quads will be rendered. This can be set to optimize for a particular architecture. This must be set with numbers that are a power of two.

virtual void vtkVolumeTextureMapper2D::GetTargetTextureSize | ( | int | [2] | ) | `[virtual]`

| Target size in pixels of each size of the texture for downloading. Default is 512x512 - so a 512x512 texture will be tiled with as many slices of the volume as possible, then all the quads will be rendered. This can be set to optimize for a particular architecture. This must be set with numbers that are a power of two.

virtual void vtkVolumeTextureMapper2D::SetMaximumNumberOfPlanes | ( | int |  | ) | `[virtual]`

| This is the maximum number of planes that will be created for texture mapping the volume. If the volume has more voxels than this along the viewing direction, then planes of the volume will be skipped to ensure that this maximum is not violated. A skip factor is used, and is incremented until the maximum condition is satisfied.

virtual int vtkVolumeTextureMapper2D::GetMaximumNumberOfPlanes | ( |  | ) | `[virtual]`

| This is the maximum number of planes that will be created for texture mapping the volume. If the volume has more voxels than this along the viewing direction, then planes of the volume will be skipped to ensure that this maximum is not violated. A skip factor is used, and is incremented until the maximum condition is satisfied.

virtual void vtkVolumeTextureMapper2D::SetMaximumStorageSize | ( | int |  | ) | `[virtual]`

| This is the maximum size of saved textures in bytes. If this size is large enough to hold the RGBA textures for all three directions (XxYxZx3x4 is the approximate value - it is actually a bit larger due to wasted space in the textures) then the textures will be saved.

virtual int vtkVolumeTextureMapper2D::GetMaximumStorageSize | ( |  | ) | `[virtual]`

| This is the maximum size of saved textures in bytes. If this size is large enough to hold the RGBA textures for all three directions (XxYxZx3x4 is the approximate value - it is actually a bit larger due to wasted space in the textures) then the textures will be saved.

virtual void vtkVolumeTextureMapper2D::Render | ( | vtkRenderer * | ,
|  | vtkVolume * |
| ) | `[inline, virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Render the volume Implements vtkVolumeTextureMapper. Reimplemented in vtkMesaVolumeTextureMapper2D, and vtkOpenGLVolumeTextureMapper2D. Definition at line 91 of file vtkVolumeTextureMapper2D.h.

virtual void vtkVolumeTextureMapper2D::RenderQuads | ( | int | vtkNotUsed(count),
|  | float * | vtkNotUsed(v),
|  | float * | vtkNotUsed(t),
|  | unsigned char * | vtkNotUsed(texture),
|  | int | vtkNotUsed(size)[2],
|  | int | vtkNotUsed(reverseFlag)
| ) | `[inline, virtual]`

| Definition at line 93 of file vtkVolumeTextureMapper2D.h.

int vtkVolumeTextureMapper2D::GetInternalSkipFactor | ( |  | ) | `[inline]`

| Made public only for access from the templated method. Not a vtkGetMacro to avoid the PrintSelf defect. Definition at line 101 of file vtkVolumeTextureMapper2D.h.

int* vtkVolumeTextureMapper2D::GetAxisTextureSize | ( |  | ) | `[inline]`

| Definition at line 103 of file vtkVolumeTextureMapper2D.h.

int vtkVolumeTextureMapper2D::GetSaveTextures | ( |  | ) | `[inline]`

| Definition at line 105 of file vtkVolumeTextureMapper2D.h.

unsigned char* vtkVolumeTextureMapper2D::GetTexture | ( |  | ) | `[inline]`

| Definition at line 107 of file vtkVolumeTextureMapper2D.h.

void vtkVolumeTextureMapper2D::InitializeRender | ( | vtkRenderer * | ren,
|  | vtkVolume * | vol
| ) | `[inline, protected]`

| Reimplemented from vtkVolumeTextureMapper. Definition at line 116 of file vtkVolumeTextureMapper2D.h. References vtkVolumeTextureMapper::InitializeRender().

void vtkVolumeTextureMapper2D::InitializeRender | ( | vtkRenderer * | ren,
|  | vtkVolume * | vol,
|  | int | majorDirection
| ) | `[protected]`

void vtkVolumeTextureMapper2D::GenerateTexturesAndRenderQuads | ( | vtkRenderer * | ren,
|  | vtkVolume * | vol
| ) | `[protected]`

void vtkVolumeTextureMapper2D::ComputeAxisTextureSize | ( | int | axis,
|  | int * | size
| ) | `[protected]`

void vtkVolumeTextureMapper2D::RenderSavedTexture | ( |  | ) | `[protected]`

## Member Data Documentation

int vtkVolumeTextureMapper2D::MajorDirection`[protected]`

| Definition at line 123 of file vtkVolumeTextureMapper2D.h.

int vtkVolumeTextureMapper2D::TargetTextureSize[2]`[protected]`

| Definition at line 124 of file vtkVolumeTextureMapper2D.h.

int vtkVolumeTextureMapper2D::MaximumNumberOfPlanes`[protected]`

| Definition at line 126 of file vtkVolumeTextureMapper2D.h.

int vtkVolumeTextureMapper2D::InternalSkipFactor`[protected]`

| Definition at line 127 of file vtkVolumeTextureMapper2D.h.

int vtkVolumeTextureMapper2D::MaximumStorageSize`[protected]`

| Definition at line 128 of file vtkVolumeTextureMapper2D.h.

unsigned char* vtkVolumeTextureMapper2D::Texture`[protected]`

| Definition at line 130 of file vtkVolumeTextureMapper2D.h.

int vtkVolumeTextureMapper2D::TextureSize`[protected]`

| Definition at line 131 of file vtkVolumeTextureMapper2D.h.

int vtkVolumeTextureMapper2D::SaveTextures`[protected]`

| Definition at line 132 of file vtkVolumeTextureMapper2D.h.

vtkTimeStamp vtkVolumeTextureMapper2D::TextureMTime`[protected]`

| Definition at line 133 of file vtkVolumeTextureMapper2D.h.

int vtkVolumeTextureMapper2D::AxisTextureSize[3][3]`[protected]`

| Definition at line 135 of file vtkVolumeTextureMapper2D.h.

The documentation for this class was generated from the following file:

- Rendering/vtkVolumeTextureMapper2D.h